petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSAdaptSetType

sets the approach used for the error adapter, currently there is only TSADAPTBASIC and TSADAPTNONE

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAdaptSetType(TSAdapt adapt,TSAdaptType type)

Logicially Collective on TSAdapt

### Input Parameter

| adapt | - the TS adapter, most likely obtained with TSGetAdapt()
| type | - either TSADAPTBASIC or TSADAPTNONE

### Options Database

-ts_adapt_type <basic or dsp or none> -to set the adapter type

### Keywords

TSAdapt, create

### See Also

TSGetAdapt(), TSAdaptDestroy(), TSAdaptType, TSAdaptGetType()

### Level

intermediate

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages